org.bouncycastle.openssl.PEMParser 需要导入jar包

倫bbbb
  • 0
新手上路,请多包涵

问题描述

开发中需要用到bouncycastle加密,可调用openssl时 无法调用,希望有经验的人可以告知下

图片描述

图片描述

评论
阅读 3k
1 个回答
Ethan
  • 5
新手上路,请多包涵

maven方式导入需要三个依赖,拿走不谢:

        <!-- Oct, 2019 -->
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk15on</artifactId>
            <version>1.64</version>
        </dependency>
        <!-- Feb, 2011 -->
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcpg-jdk16</artifactId>
            <version>1.46</version>
        </dependency>
        <!-- Oct, 2019 -->
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcpkix-jdk15on</artifactId>
            <version>1.64</version>
        </dependency>
宣传栏